<?php
set_time_limit(0);
include_once dirname(__DIR__).'/lib/AutoLoader.php';
AutoLoader::register();
ErrorHandler::register();

if (($handle = fopen(dirname(__FILE__)."/sp500hst.txt", "r")) !== FALSE) {
	
	$storage = new Stock_Quote_Storage();
	
	while (($data = fgetcsv($handle, 1000, ",")) !== FALSE) {
		$num = count($data);
		
		$quote = new Stock_Quote(
			$data[0], 
			$data[1], 
			$data[2], 
			$data[3],
			$data[4],
			$data[5],
			$data[6]
		);
		$storage->save($quote);
	}
	fclose($handle);
}