<?php
/**
 * Iterator over mysql resource query result
 */
class Db_Iterator implements Iterator, Countable {
	/**
	 * @var resource
	 */
	private $res;
	/**
	 * @var int
	 */
	private $current_pos;
	/**
	 * @var array
	 */
	private $current_row;
	/**
	 * @var int
	 */
	private $count;
	/**
	 * @param resource $res
	 * @param string $key_field
	 */
	public function __construct($res) {
		$this->res = $res;
		$this->count = mysql_num_rows($this->res);
		$this->rewind();
	}
	/** (non-PHPdoc)
	 * @see Iterator::current()
	 */
	public function current() {
		return $this->current_row;
	}
	/** (non-PHPdoc)
	 * @see Iterator::next()
	 */
	public function next() {
		$this->current_row = $this->fetch_row();
	}
	/** (non-PHPdoc)
	 * @see Iterator::key()
	 */
	public function key() {
		return $this->current_pos;
	}
	/** (non-PHPdoc)
	 * @see Iterator::valid()
	 */
	public function valid() {
		return isset($this->current_row);
	}
	/** (non-PHPdoc)
	 * @see Iterator::rewind()
	 */
	public function rewind() {
		if(!$this->count) {
			return;
		}
		mysql_data_seek($this->res, 0);
		$this->current_pos = -1;
		$this->current_row = $this->fetch_row();
	}
	/** (non-PHPdoc)
	 * @see Countable::count()
	 */
	public function count() {
		return $this->count;
	}
	protected function fetch_row() {
		$row = mysql_fetch_assoc($this->res);
		if($row === false) {
			return null;
		}
		$this->current_pos++;
		return $row;
	}
}