<?php
class Stock_Page_Admin_View extends Stock_View {
	
	protected function title() {
		return 'Admin';
	}
	
	protected function user() {
		return 'Admin';
	}	
	
	protected function content() {
		/* @var $context Stock_Page_Admin_Context */
		$context = $this->context;
		?>
		<h2>Total site profit is $<?=number_format($context->getTotalComission(),2)?></h2>
		<br/>
		<table class="userslist">
		  <tr>
		    <th>User ID</th>
		    <th>Name</th>
		    <th>Balance</th>
			<th>Quotes Value</th>
		    <th>Profit</th>
		    <th>Commssion</th>
		  </tr>
		  <? foreach($context->getUsersInfo() AS $info) { ?>
		  <tr>
		    <td><?=$info['id']?></td>
		    <td><?=$info['name']?></td>
		    <td>$<?=number_format($info['balance'],2)?></td>
		    <td>$<?=number_format($info['quotes_value'],2)?></td>
		    <td>$<?=number_format($info['profit'],2)?></td>
		    <td>$<?=number_format($info['commission'],2)?></td>
		  </tr>
		  <? } ?>
		</table>
		<?
	}
	
	/* (non-PHPdoc)
	 * @see Stock_View::links()
	 */
	protected function links() {
		$context = $this->context;
		return array(
			'Logout' => $context->createUrl(Stock_Router::ACT_LOGOUT),
		);	
	}


}