<?php
/**
 * Display information about symbol
 * @author alex
 *
 */
class Stock_Page_User_Symbol_Controller extends Stock_Page_User_Controller {
	const PARAM_SYMBOL = 'symbol';
	/**
	 * @var Stock_Page_User_Symbol_View
	 */
	private $view;
	/**
	* @var Stock_Page_User_Symbol_Context
	*/	
	private $context;
	
	public function __construct() {
		$this->context = new Stock_Page_User_Symbol_Context();
		$this->view = new Stock_Page_User_Symbol_View($this->context);
	}
	
	protected function runUser() {
		$action = Stock_Router::getAction();
		$this->context->setUser($this->user);
		$this->context->setTodayDate($this->todayDate);
		
		$symbol = isset($_GET[self::PARAM_SYMBOL]) ? $_GET[self::PARAM_SYMBOL] : '';
		
		$this->context->setSymbol($symbol);
		$this->view->show();
	}

}

