<?php
/**
 * Db connection and query manager
 * @singleton
 * @author alex
 */
class Db {
	const SERVER = "localhost";
	const USERNAME = "root";
	const PASSWORD = "toor";
	const DBNAME = "internet_project";
		
	private static $instance;
	
	private function __construct(){}
	
	/**
	 * Create connection to db if needed
	 * and return instance of db object
	 * @return Db
	 */
	public static function acquire()
	{
		if (!isset(self::$instance)) {
			$className = __CLASS__;
			self::$instance = new $className;
			self::$instance->connect();
		}
		return self::$instance;
	}

	private $connection;
	public function connect() {
		$this->connection = @mysql_connect(self::SERVER,self::USERNAME,self::PASSWORD);
		if (!$this->connection) {
			$this->error('',' Please verify settings constants: Db::SERVER, Db::USERNAME, Db::PASSWORD');	
		}
		if (!mysql_select_db(self::DBNAME, $this->connection)) {
			$this->error('',' Please verify that db/schema.sql file was applied');
		}
	}
	
	/**
	 * @param string $sql
	 * @return resource
	 */
	public function query($sql) {
		$result = mysql_query($sql, $this->connection);
		if (!$result) {
			$this->error($sql);
		}
		return $result;
	}

	/**
	 * @param string $sql - select statement
	 * @return Db_Iterator
	 */
	public function read($sql) {
		$res = $this->query($sql);
		if (!$res) {
			return null;
		}
		return new Db_Iterator($res);
	}

	/**
	 * Letrurn last inserted Id
	 */
	public function lastId() {
		return mysql_insert_id($this->connection);
	}
	
	/**
	 * Show sql error
	 * @param string $sql
	 * @throws Exception
	 */
	protected function error($sql = '', $descr = '') {
		$error = mysql_error();
		if ($sql) {
			$error.="\nSQL:". $sql;
		}
		if ($descr) {
			$error.="\n" . $descr;
		}
		throw new Exception($error);
	}
	

}
