<?php
class Stock_Commission_Storage {
	const SQL_SAVE = "INSERT INTO commission (`timestamp`,user_id,commisson) VALUES ('%s','%s','%s')";
	const SQL_LOAD = "SELECT `timestamp`, user_id, commisson FROM commission";
	/**
	 * @param int $timestamp
	 * @param int $userId
	 * @param float $commission
	 * @return bool
	 */
	public function save(Stock_Commission $commission) {
		$sql = sprintf(self::SQL_SAVE,
			date("Y-m-d H:i:s",$commission->getCommission()),
			$commission->getUserId(),
			$commission->getCommission()
		);
		return Db::acquire()->query($sql);
	}
	
	/**
	 * 
	 * @return array ($userId => float)
	 */
	public function load() {
		$result = Db::acquire()->read(self::SQL_LOAD);
		return new Stock_Commission_Storage_Iterator($result);
	}
	
}

class Stock_Commission_Storage_Iterator extends Db_Iterator_Converter {
	/* (non-PHPdoc)
	 * @see Db_Iterator_Converter::convert_row()
	 */
	protected function convert_row(array $row) {
		return new Stock_Commission(
			strtotime($row['timestamp']),
		 	$row['user_id'], 
		 	$row['commisson']
		 );
	}

	
}