<?php
class Stock_Page_Login_View extends Stock_View {
	
	protected function title() {
		return 'Login';
	}
	
	protected function content() {
		/* @var $context Stock_Page_Login_Context */
		$context = $this->context;
		?>
		<form action="<?=$context->createUrl(Stock_Router::ACT_LOGIN_PROCESS)?>" method="post">
			<div class="form-element">
				<div class="label"><label for="username">Username:</label></div>
				<div class="value"><input type="text" name="username" value="" style="width:200px" /></div>
			</div>
			<div class="form-element">
				<div class="label"><label for="password">Passowrd:</label></div>
				<div class="value"><input type="password" name="password" value="" style="width:200px"/></div>
			</div>
			<div class="form-element">
				<div class="label">&nbsp;</div>
				<div class="value"><input type="submit" value="login" /></div>
			</div>			
		</form>
		<?
	}
	protected function links() {
		/* @var $context Stock_Page_Register_Context */
		$context = $this->context;
		return array(
			'Registration' => $context->createUrl(Stock_Router::ACT_REGISTER_FORM),
			'Webservice API' => $context->createUrl(Stock_Router::ACT_WEBSERVICE_INFO)
		);	
	}
}