<?php
class Stock_Page_User_Trade_Context extends Stock_Page_User_Context {
	const TYPE_SELL='sell';
	const TYPE_BUY='buy';
	private $type;
	/**
	 * @var Stock_Quote
	 */
	private $quote;
	private $quantity;
	private $maxQuantity;
	private $errorMsg;

	/**
	 * @return Stock_Quote
	 */
	public function getQuote() {
		return $this->quote;
	}

	/**
	 * @param Stock_Quote $quote
	 */
	public function setQuote($quote) {
		$this->quote = $quote;
	}

	/**
	 * @return the $type
	 */
	public function getType() {
		return $this->type;
	}

	/**
	 * @return the $quantity
	 */
	public function getQuantity() {
		return $this->quantity;
	}

	/**
	 * @return the $maxQuantity
	 */
	public function getMaxQuantity() {
		return $this->maxQuantity;
	}

	/**
	 * @return the $errorMsg
	 */
	public function getErrorMsg() {
		return $this->errorMsg;
	}

	/**
	 * @param field_type $type
	 */
	public function setType($type) {
		$this->type = $type;
	}

	/**
	 * @param field_type $quantity
	 */
	public function setQuantity($quantity) {
		$this->quantity = $quantity;
	}

	/**
	 * @param field_type $maxQuantity
	 */
	public function setMaxQuantity($maxQuantity) {
		$this->maxQuantity = $maxQuantity;
	}

	/**
	 * @param field_type $errorMsg
	 */
	public function setErrorMsg($errorMsg) {
		$this->errorMsg = $errorMsg;
	}


}
