<?php
/**
 * Webservice API Information Page
 * @author alex
 *
 */
class Stock_Page_Webservice_Controller extends Stock_Controller {
	/**
	 * @var Stock_Page_Webservice_View
	 */
	private $view;
	/**
	* @var Stock_Page_Webservice_Context
	*/	
	private $context;
	
	public function __construct() {
		$this->context = new Stock_Page_Webservice_Context();
		$this->view = new Stock_Page_Webservice_View($this->context);	
	}
		
	public function run() {
		$action = Stock_Router::getAction();
		$this->view->show();
	}
	
}
