<?php
/**
 * Data object, describes market quote in db
 * @author alex
 *
 */
class Stock_Quote {
	/**
	 * 
	 * @var string 'Y-m-d'
	 */
	private $date;
	/**
	 * @var string
	 */
	private $symbol;
	/**
	 * @var float
	 */
	private $priceOpen;
	/**
	* @var float
	*/
	private $priceHigh;
	/**
	* @var float
	*/
	private $priceLow;
	/**
	* @var float
	*/
	private $priceClose;
	/*
	 * @var int
	 */
	private $volume;
	
	public function __construct($date,$symbol,$priceOpen,$priceHigh,$priceLow,$priceClose,$volume) {
		$this->date = date("Y-m-d",strtotime($date));
		$this->symbol = (string)$symbol;
		$this->priceOpen = (float)$priceOpen;
		$this->priceHigh = (float)$priceHigh;
		$this->priceLow = (float)$priceLow;
		$this->priceClose = (float)$priceClose;
		$this->volume = $volume;
	}
	/**
	 * @return the $date
	 */
	public function getDate() {
		return $this->date;
	}

	/**
	 * @return the $symbol
	 */
	public function getSymbol() {
		return $this->symbol;
	}

	/**
	 * @return the $priceOpen
	 */
	public function getPriceOpen() {
		return $this->priceOpen;
	}

	/**
	 * @return the $priceHigh
	 */
	public function getPriceHigh() {
		return $this->priceHigh;
	}

	/**
	 * @return the $priceLow
	 */
	public function getPriceLow() {
		return $this->priceLow;
	}

	/**
	 * @return the $priceClose
	 */
	public function getPriceClose() {
		return $this->priceClose;
	}
	/**
	 * @return int
	 */
	public function getVolume() {
		return $this->volume;
	}


	
	
}