<?php
/**
 * Data object, describes logged in user
 * @author alex
 *
 */
class Stock_User {
	/**
	 * @var int
	 */
	private $id;
	/**
	 * @var string 
	 */
	private $name;
	/**
	 * @var float
	 */
	private $balance;
	
	public function __construct($id,$name,$balance) {
		$this->id = (int)$id;
		$this->name = (string)$name;
		$this->balance = (float)$balance;
	}
	/**
	 * @return int
	 */
	public function getId() {
		return $this->id;
	}

	/**
	 * @return string
	 */
	public function getName() {
		return $this->name;
	}

	/**
	 * @return float
	 */
	public function getBalance() {
		return $this->balance;
	}

	public function setId($uid) {
		$this->id = (int)$uid;
	}
	
	/**
	 * @param float $balance
	 */
	public function setBalance($balance) {
		return $this->balance = (float)$balance;
	}	
}

?>