<?php
/**
 * Data object, describes quote of user
 * @author alex
 *
 */
class Stock_User_Quote {
	private $userId;	
	private $date;
	private $symbol;
	private $pricePaid;
	private $quantity;
	private $timestamp;
	
	public function __construct($userId, $date, $symbol, $pricePaid, $quantity, $timestamp) {
		$this->userId = (int)$userId;
		$this->date = (string)$date;
		$this->symbol = (string)$symbol;
		$this->pricePaid = (float)$pricePaid;
		$this->quantity  = (int)$quantity;
		$this->timestamp = (int)$timestamp;
	}
	
	/**
	 * @return int
	 */
	public function getUserId() {
		return $this->userId;
	}

	/**
	 * @return string
	 */
	public function getDate() {
		return $this->date;
	}

	/**
	 * @return string
	 */
	public function getSymbol() {
		return $this->symbol;
	}

	/**
	 * @return float
	 */
	public function getPricePaid() {
		return $this->pricePaid;
	}

	/**
	 * @return int
	 */
	public function getQuantity() {
		return $this->quantity;
	}

	/**
	 * @param int
	 */
	public function setQuantity($quantity) {
		$this->quantity = (int)$quantity;
	}
		
	/**
	 * @return int
	 */
	public function getTimestamp() {
		return $this->timestamp;
	}

}
