<?php
/**
 * Load and save user information
 * @author alex
 *
 */
class Stock_User_Storage {
	const SQL_LOAD = "SELECT id,username,balance FROM users";
	const SQL_SAVE = "INSERT INTO users (username,password,balance) VALUES ('%s','%s','%s')";
	const SQL_SAVE_BALANCE = "UPDATE users SET balance = '%s' WHERE id='%d'";
	public function __construct() {
		Db::acquire();
	}
	/**
	 * Load all users
	 * @return Stock_User_Storage_Iterator
	 */
	public function loadAll() {
		$result = Db::acquire()->read(self::SQL_LOAD);
		return new Stock_User_Storage_Iterator($result);
	}	
	/**
	 * Load user by id
	 * @param int $id
	 * @return Stock_User
	 */
	public function loadById($id) {
		$sql = self::SQL_LOAD."	WHERE id = '%d'";
		$sql = sprintf($sql, 
			$id
		);
		$result = Db::acquire()->query($sql);
		if (!$result) {
			return null;
		}
		$rowdb = mysql_fetch_assoc($result);
		if (!$rowdb) {
			return null;
		}
		return self::create_user($rowdb);
	}
	/**
	 * Load user by its username and password
	 * @param string $username
	 * @param string $password
	 * @return Stock_User
	 */
	public function load($username, $password = null) {
		$sql = self::SQL_LOAD."	WHERE username = '%s'";
		$sql = sprintf($sql, 
			mysql_real_escape_string($username)
		);
		if ($password) {
			$sql .= sprintf("AND password = '%s'",md5($password));
		}
		$result = Db::acquire()->query($sql);
		if (!$result) {
			return null;
		}
		$rowdb = mysql_fetch_assoc($result);
		if (!$rowdb) {
			return null;
		}
		return self::create_user($rowdb);
	}
	/**
	 * Save new user
	 * @param Stock_User $user
	 * @param string $password
	 * @return int user id
	 */
	public function save(Stock_User $user, $password) {
		$sql = sprintf(self::SQL_SAVE,
			mysql_real_escape_string($user->getName()),
			md5($password),
			mysql_real_escape_string($user->getBalance())
		);
		$result = Db::acquire()->query($sql);
		if (!$result) {
			return false;
		}
		return Db::acquire()->lastId();
	}
	/**
	 * Update balance of user
	 * @param id $id
	 * @param float $balance
	 * @return bool
	 */
	public function updateBalance($id, $balance) {
		$sql = sprintf(self::SQL_SAVE_BALANCE,
			(float)$balance,
			(int)$id
		);
		return Db::acquire()->query($sql);
	}
	/**
	 * Create user object from db row
	 * @param array $rowdb
	 * @return Stock_User
	 */
	public static function create_user(array $rowdb) {
		return new Stock_User($rowdb['id'], $rowdb['username'], $rowdb['balance']);
	}
	
}

/**
 * Iterator over users
 * @author alex
 *
 */
class Stock_User_Storage_Iterator extends Db_Iterator_Converter {
	/* (non-PHPdoc)
	 * @see Db_Iterator_Converter::convert_row()
	 * @return Stock_User;
	 */
	protected function convert_row(array $row) {
		return Stock_User_Storage::create_user($row);
	}

}