<?php
include dirname(__DIR__).'/lib/AutoLoader.php';
AutoLoader::register(); // register autoloader to handle autmatic includes of classes
AutoLoader::add_include_path(dirname(__DIR__)); // search for includes in the current directory
ErrorHandler::register(); // handle errors
SessionManager::start(); // start session

$action = Stock_Router::getAction(); // detect current action from GET
$controller = Stock_Router::route($action); // create Stock_Controller based on action
try {
	$controller->run();
} catch (Exception $e) {
	echo 'Unexpected Error: '.$e->getMessage();
}